import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		ibizsample0003name: commonLogic.appcommonhandle("名称",null),
		memo: commonLogic.appcommonhandle("备注",null),
		updatedate: commonLogic.appcommonhandle("更新时间",null),
		field01: commonLogic.appcommonhandle("FIELD01",null),
		createdate: commonLogic.appcommonhandle("建立时间",null),
		updateman: commonLogic.appcommonhandle("更新人",null),
		ibizsample0003id: commonLogic.appcommonhandle("IBIZSAMPLE0003标识",null),
		createman: commonLogic.appcommonhandle("建立人",null),
		pibizsample0003name: commonLogic.appcommonhandle("上级",null),
		pibizsample0003id: commonLogic.appcommonhandle("IBIZSAMPLE0003标识",null),
	},
		views: {
			f2treeexpview: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("示例实体03树导航视图",null),
			},
			f4treeexpview: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("示例实体03树导航视图",null),
			},
			pickupgridview: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("IBIZSAMPLE0003选择表格视图",null),
			},
			sf3editview: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("示例实体03编辑视图",null),
			},
			gridview: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("IBIZSAMPLE0003表格视图",null),
			},
			sf1editview: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("示例实体03编辑视图",null),
			},
			f3treeexpview: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("示例实体03树导航视图",null),
			},
			sf5editview: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("示例实体03编辑视图",null),
			},
			spickuptreeview: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("IBIZSAMPLE0003选择树视图",null),
			},
			spickupview2: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("IBIZSAMPLE0003数据选择视图",null),
			},
			f1treeexpview: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("示例实体03树导航视图",null),
			},
			streeexpview: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("示例实体03树导航视图",null),
			},
			stabexpview: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("实体分页导航视图",null),
			},
			sf2editview: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("示例实体03编辑视图",null),
			},
			pickupview: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("IBIZSAMPLE0003数据选择视图",null),
			},
			streeexpview2: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("示例实体03树导航视图",null),
			},
			sf4editview: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("示例实体03编辑视图",null),
			},
			smpickupview2: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("IBIZSAMPLE0003多项数据选择视图",null),
			},
			editview: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("IBIZSAMPLE0003编辑视图",null),
			},
			mpickupview: {
				caption: commonLogic.appcommonhandle("示例实体03",null),
				title: commonLogic.appcommonhandle("IBIZSAMPLE0003数据多项选择视图",null),
			},
		},
		main_form: {
			details: {
				group1: commonLogic.appcommonhandle("基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				group2: commonLogic.appcommonhandle("操作信息",null), 
				formpage2: commonLogic.appcommonhandle("其它",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("IBIZSAMPLE0003标识",null), 
				srfmajortext: commonLogic.appcommonhandle("名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				pibizsample0003name: commonLogic.appcommonhandle("上级",null), 
				field01: commonLogic.appcommonhandle("FIELD01",null), 
				ibizsample0003name: commonLogic.appcommonhandle("名称",null), 
				ibizsample0003id: commonLogic.appcommonhandle("IBIZSAMPLE0003标识",null), 
				memo: commonLogic.appcommonhandle("备注",null), 
				pibizsample0003id: commonLogic.appcommonhandle("IBIZSAMPLE0003标识",null), 
				createman: commonLogic.appcommonhandle("建立人",null), 
				createdate: commonLogic.appcommonhandle("建立时间",null), 
				updateman: commonLogic.appcommonhandle("更新人",null), 
				updatedate: commonLogic.appcommonhandle("更新时间",null), 
			},
			uiactions: {
			},
		},
		ui_0010_form: {
			details: {
				group1: commonLogic.appcommonhandle("基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("IBIZSAMPLE0003标识",null), 
				srfmajortext: commonLogic.appcommonhandle("名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				field01: commonLogic.appcommonhandle("单选控件",null), 
				ibizsample0003id: commonLogic.appcommonhandle("IBIZSAMPLE0003标识",null), 
			},
			uiactions: {
			},
		},
		ui_0009_form: {
			details: {
				group1: commonLogic.appcommonhandle("基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("IBIZSAMPLE0003标识",null), 
				srfmajortext: commonLogic.appcommonhandle("名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				field01: commonLogic.appcommonhandle("多选控件",null), 
				ibizsample0003id: commonLogic.appcommonhandle("IBIZSAMPLE0003标识",null), 
			},
			uiactions: {
			},
		},
		ui_0022_form: {
			details: {
				group1: commonLogic.appcommonhandle("基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("IBIZSAMPLE0003标识",null), 
				srfmajortext: commonLogic.appcommonhandle("名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				field01: commonLogic.appcommonhandle("单选控件",null), 
				ibizsample0003id: commonLogic.appcommonhandle("IBIZSAMPLE0003标识",null), 
			},
			uiactions: {
			},
		},
		ui_0011_form: {
			details: {
				group1: commonLogic.appcommonhandle("基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("IBIZSAMPLE0003标识",null), 
				srfmajortext: commonLogic.appcommonhandle("名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				field01: commonLogic.appcommonhandle("单选控件",null), 
				ibizsample0003id: commonLogic.appcommonhandle("IBIZSAMPLE0003标识",null), 
			},
			uiactions: {
			},
		},
		ui_0008_form: {
			details: {
				group1: commonLogic.appcommonhandle("基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("IBIZSAMPLE0003标识",null), 
				srfmajortext: commonLogic.appcommonhandle("名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				field01: commonLogic.appcommonhandle("单选控件",null), 
				ibizsample0003id: commonLogic.appcommonhandle("IBIZSAMPLE0003标识",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				pibizsample0003name: commonLogic.appcommonhandle("上级",null),
				ibizsample0003name: commonLogic.appcommonhandle("名称",null),
				memo: commonLogic.appcommonhandle("备注",null),
				updateman: commonLogic.appcommonhandle("更新人",null),
				updatedate: commonLogic.appcommonhandle("更新时间",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("",null), 
				n_ibizsample0003name_like: commonLogic.appcommonhandle("名称(%)",null), 
			},
			uiactions: {
			},
		},
		gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("编辑",null),
				tip: commonLogic.appcommonhandle("编辑",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("过滤",null),
				tip: commonLogic.appcommonhandle("过滤",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("删除",null),
				tip: commonLogic.appcommonhandle("删除",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("导出",null),
				tip: commonLogic.appcommonhandle("导出",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("导出数据模型",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
		editviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("保存并关闭",null),
				tip: commonLogic.appcommonhandle("保存并关闭",null),
			},
		},
		tree02_treeview: {
			nodata:commonLogic.appcommonhandle("",null),
			nodes: {
				root: commonLogic.appcommonhandle("root",null),
			},
			uiactions: {
			},
		},
		tree04_treeview: {
			nodata:commonLogic.appcommonhandle("",null),
			nodes: {
				root: commonLogic.appcommonhandle("root",null),
			},
			uiactions: {
				refreshall: commonLogic.appcommonhandle("刷新",null),
			},
		},
		tree03_treeview: {
			nodata:commonLogic.appcommonhandle("",null),
			nodes: {
				root: commonLogic.appcommonhandle("root",null),
			},
			uiactions: {
			},
		},
		tree01_treeview: {
			nodata:commonLogic.appcommonhandle("",null),
			nodes: {
				product: commonLogic.appcommonhandle("产品",null),
				hardware: commonLogic.appcommonhandle("硬件",null),
				software: commonLogic.appcommonhandle("软件",null),
				root: commonLogic.appcommonhandle("默认根节点",null),
			},
			uiactions: {
			},
		},
	};
	return data;
}
export default getLocaleResourceBase;